<?php
/**
 * 長い説明文
 * 
 * @package aowp.aspect.pointcut.designators
 */
/**
 * 現在、サポートされていません (ver. 0.8)。
 * 次期リリース予定です。
 * 
 * @package aowp.aspect.pointcut.designators
 */
class AOWP_ArraySetPointcut extends AOWP_StaticPointcut {
	private $_arrayName;
	private $_keyName;

	/**
	 * Constructor.
	 */
	public function __construct ($arrayName, $keyName) {
		$this->_arrayName = $arrayName;
		$this->_keyName = $keyName;
	}
	
	protected function _isJoinPointShadow(AOWP_JoinPoint $joinPoint) {
		return $joinPoint instanceof AOWP_ArraySetJoinPoint &&
			AOWP_Pointcut::patternMatch($this->_arrayName, $joinPoint->getArrayName()) &&
			AOWP_Pointcut::patternMatch($this->_keyName, $joinPoint->getKeyName());
	}
	
}
?>